* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: 'Georgia', serif;
    background-color: #fff5f8;
    color: #6a1b4d;
    padding-top: 100px;
}

/* NAVIGATIE */
header {
    position: fixed;          /* Zorgt dat hij blijft staan */
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;            /* Zorgt dat hij boven alles blijft */

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 60px;
    background: linear-gradient(90deg, #f8c8dc, #f48fb1);
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}


.logo {
    font-size: 26px;
    font-weight: bold;
    color: white;
    letter-spacing: 1px;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 30px;
    margin: 0;
    padding: 0;
}

nav a {
    text-decoration: none;
    color: white;
    font-weight: 500;
    position: relative;
    transition: 1s;
}

/* Elegant lijntje onder menu bij hover */
nav a::after {
    content: "";
    position: absolute;
    width: 0%;
    height: 2px;
    left: 0;
    bottom: -5px;
    background-color: #6a1b4d;
    transition: 0.3s;
}

nav a:hover::after {
    width: 100%;
}

nav a:hover {
    color: #6a1b4d;
}

/* HERO */
.hero {
    height: 85vh;
    background: linear-gradient(rgba(248,200,220,0.6), rgba(248,200,220,0.6)),
    url(https://images.unsplash.com/photo-1486427944299-d1955d23e34d) center/cover no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.hero-text h1 {
    font-size: 48px;
    margin-bottom: 20px;
}

.hero-text p {
    font-size: 20px;
    margin-bottom: 30px;
}

.btn {
    background-color: #d81b60;
    color: white;
    padding: 12px 25px;
    text-decoration: none;
    border-radius: 25px;
    transition: 0.3s;
}

.btn:hover {
    background-color: #ad1457;
}

/* ABOUT */
.about {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 60px;
    padding: 80px 60px;
    flex-wrap: wrap;
}

.about-text {
    max-width: 500px;
}

.about-text h2 {
    font-size: 32px;
    margin-bottom: 20px;
}

.about-image img {
    width: 350px;
    border-radius: 20px;
    box-shadow: 0 8px 20px rgba(0,0,0,0.1);
}

/* FOOTER */
footer {
    text-align: center;
    padding: 20px;
    background-color: #f8c8dc;
}

.recipe-page {
    padding: 140px 60px 80px 60px;
    max-width: 900px;
    margin: auto;
    text-align: center;
}

.recipe-page img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    border-radius: 25px;
    box-shadow: 0 12px 30px rgba(0,0,0,0.12);
    margin: 30px 0;
}

.recipe-page h1 {
    font-size: 40px;
    color: #6a1b4d;
}

.recipe-page h2 {
    font-size: 26px;
    margin-top: 30px;
    color: #6a1b4d;
}

.recipe-page ul, .recipe-page ol {
    text-align: left;
    margin: 20px auto;
    max-width: 600px;
    font-size: 18px;
}
